package com.ruoyi.yiqi.entity;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
//import io.swagger.annotations.ApiModel;
//import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;


/**
 * 安检维修导出vo g_order
 *
 * @author ruoyi
 * @date 2021-11-16
 */
@Data
//@ApiModel("安检维修导出vo")
@ExcelIgnoreUnannotated
public class YqGOrderExportVoAnJian {

	private static final long serialVersionUID = 1L;
	SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);

    /**
     * 主键id
     */
//	@ApiModelProperty("主键id")
	private Long id;

	@ExcelProperty(value = "工人")
	private String userName;

	@ExcelProperty(value = "房屋")
	private String house;

//	@ApiModelProperty("订单时间")
	@ExcelProperty(value = "订单时间")
	private String time;

//	@ApiModelProperty("修改时间")
	@ExcelProperty(value = "修改时间")
	private String updateTime;

	@ExcelProperty(value = "是否合格")
	private String whether;
    /**
     * 备注
     */
//	@ApiModelProperty("备注")
	@ExcelProperty(value = "备注")
	private String remark;

	public String getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = DateToString(time);
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = DateToString(updateTime);
	}

	/**
	 * date类型时间转String类型时间（设置时区）
	 * @param time
	 * @return
	 */
	public static String DateToString(Date time){
		TimeZone timeZoneSH = TimeZone.getTimeZone("Asia/Shanghai");
		SimpleDateFormat outputFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", Locale.CHINA);
		outputFormat.setTimeZone(timeZoneSH);
		return outputFormat.format(time);
	}

}
