package com.ruoyi.yiqi.mapper;

//import com.ruoyi.common.core.mybatisplus.core.BaseMapperPlus;
//import com.ruoyi.gas.domain.GOrderPhoto;
//import com.ruoyi.gas.domain.vo.GDownloadVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGDownloadVo;
import com.ruoyi.yiqi.entity.YqGOrderPhoto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 照片Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-17
 */
public interface YqGOrderPhotoMapper extends BaseMapperPlus<YqGOrderPhotoMapper, YqGOrderPhoto, YqGOrderPhoto> {

    List<String> getPicUrl(Long orderId);

    List<YqGDownloadVo> getAll(@Param(value = "ids") List<Long> list);

    int deleteByUrl(@Param("orderId") Long orderId, @Param("list") List<String> list);
}
