package com.ruoyi.yiqi.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.PagePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.PageUtils;
import com.ruoyi.yiqi.entity.YqGPipeLength;
import com.ruoyi.yiqi.entity.YqGPipeType;
import com.ruoyi.yiqi.mapper.YqGPipeLengthMapper;
import com.ruoyi.yiqi.mapper.YqSysDictDataMapper;
import com.ruoyi.yiqi.service.IYqGPipeLengthService;
//import com.ruoyi.zdsz_p1.domain.vo.GPipeLengthVo;
//import com.ruoyi.zdsz_p1.service.IGPipeLengthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 管子长度Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-16
 */
@Service
//public class GPipeLengthServiceImpl extends ServicePlusImpl<GPipeLengthMapper, GPipeLength, GPipeLengthVo> implements IGPipeLengthService {
public class YqGPipeLengthServiceImpl implements IYqGPipeLengthService {
    @Resource
    private YqGPipeLengthMapper mapper;
    @Override
    public YqGPipeLength queryById(Long id){
        return mapper.getById(id);
    }

    @Override
    public TableDataInfo<YqGPipeLength> queryPageList(YqGPipeLength bo) {
        Page<YqGPipeLength> page = new Page<>(bo.getPageNum(), bo.getPageSize());
        Page<YqGPipeLength> list = mapper.getList(bo, page);
        return PageUtils.buildDataInfo(list);
    }

//    @Override
//    public TableDataInfo<YqGPipeLength> queryPageList(YqGPipeLength bo, PageQuery pageQuery) {
//
//        Page<YqGPipeLength> page = new Page<>(pageQuery.getPageNum(), pageQuery.getPageSize());
//        Page<YqGPipeLength> list = mapper.selectList(bo, page);
//
//
//        PagePlus<YqGPipeLength, YqGPipeLength> result = pageVo(PageUtils.buildPagePlus(), buildQueryWrapper(bo));
//        return PageUtils.buildDataInfo(result);
//    }

//    @Override
//    public List<YqGPipeLength> queryList(YqGPipeLength bo) {
//        return mapper.selectList();
//    }
//
//    private LambdaQueryWrapper<YqGPipeLength> buildQueryWrapper(YqGPipeLength bo) {
//        Map<String, Object> params = bo.getParams();
//        LambdaQueryWrapper<YqGPipeLength> lqw = Wrappers.lambdaQuery();
//        return lqw;
//    }

}
