package com.ruoyi.yiqi.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.ruoyi.common.core.mybatisplus.core.ServicePlusImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.page.PagePlus;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.PageUtils;
//import com.ruoyi.gas.domain.GPipeType;
//import com.ruoyi.gas.domain.bo.GPipeTypeBo;
//import com.ruoyi.gas.domain.vo.GPipeTypeVo;
//import com.ruoyi.gas.mapper.GPipeTypeMapper;
//import com.ruoyi.gas.service.IGPipeTypeService;
import com.ruoyi.yiqi.entity.YqGPipeType;
import com.ruoyi.yiqi.entity.YqGUser;
import com.ruoyi.yiqi.mapper.YqGPipeLengthMapper;
import com.ruoyi.yiqi.mapper.YqGPipeTypeMapper;
import com.ruoyi.yiqi.service.IYqGPipeTypeService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 管子类别Service业务层处理
 *
 * @author ruoyi
 * @date 2021-11-16
 */
@Service
public class YqGPipeTypeServiceImpl  implements IYqGPipeTypeService {
    @Autowired
    private YqGPipeTypeMapper mapper;

//    @Override
//    Page<YqGPipeType> getList(@Param("p") YqGPipeType bo, Page<?> page);
    @Override
    public YqGPipeType queryById(Long id){
        return mapper.getById(id);
    }

    @Override
    public TableDataInfo<YqGPipeType> queryPageList(YqGPipeType bo) {
        Page<YqGPipeType> page = new Page<>(bo.getPageNum(), bo.getPageSize());
        Page<YqGPipeType> list = mapper.getList(bo, page);
        return PageUtils.buildDataInfo(list);


//        PagePlus<YqGPipeType, YqGPipeType> result = pageVo(PageUtils.buildPagePlus(), buildQueryWrapper(bo));
//        return PageUtils.buildDataInfo(result);
    }

//    @Override
//    public List<YqGPipeType> queryList(YqGPipeType bo) {
//        return listVo(buildQueryWrapper(bo));
//    }
//
//    private LambdaQueryWrapper<YqGPipeType> buildQueryWrapper(YqGPipeType bo) {
//        Map<String, Object> params = bo.getParams();
//        LambdaQueryWrapper<YqGPipeType> lqw = Wrappers.lambdaQuery();
//        return lqw;
//    }

}
