package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 管子长度对象 g_pipe_length
 *
 * @author ruoyi
 * @date 2021-11-16
 */
@Data
@Accessors(chain = true)
@TableName("yq_g_pipe_length")
public class YqGPipeLength extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 管子长度
     */
    private String pipeLength;
    /**
     *
     */
    @TableLogic
    private String delFlag;

    /**
     * 分页大小
     */
    @TableField(exist = false)
    private Integer pageSize;

    /**
     * 当前页数
     */
    @TableField(exist = false)
    private Integer pageNum;

}
