package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 用户对象 g_user
 *
 * @author ruoyi
 * @date 2021-11-12
 */
@Data
@TableName("yq_g_user")
public class YqGUser extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 姓名
     */
    private String name;
    /**
     * 工号
     */
    private String jobNum;
    /**
     * 手机号
     */
    private Long phone;

    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;
    private String password;
    /**
     * 工程权限
     */
    private String power;
    /**
     * 民用工程权限
     */
    private String civilPower;
    /**
     * 分页大小
     */
    @TableField(exist = false)
    private Integer pageSize;

    /**
     * 当前页数
     */
    @TableField(exist = false)
    private Integer pageNum;

}
