package com.ruoyi.yiqi.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 自闭阀类别对象 g_valve
 *
 * @author ruoyi
 * @date 2021-12-08
 */
@Data
@Accessors(chain = true)
@TableName("yq_g_valve")
public class YqGValve extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 自闭阀类别
     */
    private String valveType;
    /**
     * 删除标志
     */
    @TableLogic
    private String delFlag;

    /**
     * 分页大小
     */
    @TableField(exist = false)
    private Integer pageSize;

    /**
     * 当前页数
     */
    @TableField(exist = false)
    private Integer pageNum;

}
