package com.ruoyi.yiqi.mapper;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.yiqi.entity.YqGHouse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 房屋Mapper接口
 *
 * @author ruoyi
 * @date 2021-11-15
 */
public interface YqGHouseMapper extends BaseMapperPlus<YqGHouseMapper, YqGHouse, YqGHouse> {

    Page<YqGHouse> getList(@Param("p") YqGHouse bo, Page<?> page);
    YqGHouse getById(Long id);
    List<YqGHouse> getHouse(Long unitId);
    YqGHouse getByName(@Param("name")String name,@Param("unitId")Long unitId);
    List<YqGHouse> getByNameList(@Param("name")String name,@Param("unitId")Long unitId);
    Long checkDataList(@Param("p") YqGHouse bo);
    int updateDelFlagById(@Param("id") Long id);

}
