package com.ruoyi.yiqi.service;

//import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;
//import com.ruoyi.gas.domain.GOrder;
//import com.ruoyi.gas.domain.bo.YqGOrder;
//import com.ruoyi.gas.domain.vo.GCensusVo;
//import com.ruoyi.gas.domain.vo.GOrderExportVoAnJian;
//import com.ruoyi.gas.domain.vo.GOrderExportVoWeiXiu;
//import com.ruoyi.gas.domain.vo.YqGOrder;
import com.ruoyi.yiqi.entity.*;

import java.util.Collection;
import java.util.List;

/**
 * 工程管理Service接口
 *
 * @author ruoyi
 * @date 2021-11-16
 */
public interface IYqGOrderService {
	/**
	 * 查询单个
	 * @return
	 */
	YqGOrder queryById(Long id);

	/**
	 * 查询列表
	 */
    TableDataInfo<YqGOrder> queryPageList(YqGOrder bo);

	/**
	 * 查询列表
	 */
//	List<YqGOrder> queryList(YqGOrder bo);

//	/**
//	 * 根据新增业务对象插入工程管理
//	 * @param bo 工程管理新增业务对象
//	 * @return
//	 */
//	Boolean insertByBo(YqGOrder bo);
//
//	/**
//	 * 根据编辑业务对象修改工程管理
//	 * @param bo 工程管理编辑业务对象
//	 * @return
//	 */
//	Boolean updateByBo(YqGOrder bo);
//	Boolean submitY(List<Long> ids,String reason,Integer[] version);
//	Boolean submitN(List<Long> ids,String reason,Integer[] version);
//
//	/**
//	 * 校验并删除数据
//	 * @param ids 主键集合
//	 * @param isValid 是否校验,true-删除前校验,false-不校验
//	 * @return
//	 */
//	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

	TableDataInfo<YqGOrder> getListAll(YqGOrder bo);
	TableDataInfo<YqGOrder> getListExamine(YqGOrder bo);

	YqGOrder getById(Long id);
	Long getByIdAndVersion(Long id,Integer version);//乐观锁用查询修改时是否有条数
	List<YqGCensusVo> getExaminePipeType(Long id);
	List<YqGCensusVo> getExaminePipeLength(Long id);
	List<YqGCensusVo> getExamineValveType(Long id);
	Boolean getOrderForStatus(Long houseId,String id);
	TableDataInfo<YqGOrder> getListByStatus(YqGOrder bo);

	/**
	 * 导出
	 * @param bo
	 * @return
	 */
	List<GOrderVo> getListExport(YqGOrder bo);

	/**
	 * 安检列表
	 * @param bo
	 * @return
	 */
	TableDataInfo<YqGOrder> getListAnJian(YqGOrder bo);

	/**
	 * 安检导出
	 * @param bo
	 * @return
	 */
	List<YqGOrderExportVoAnJian> getListAnJianExport(YqGOrder bo);

	/**
	 * 维修列表
	 * @param bo
	 * @return
	 */
	TableDataInfo<YqGOrder> getListWeiXiu(YqGOrder bo);
	/**
	 * 维修导出
	 * @param bo
	 * @return
	 */
	List<YqGOrderExportVoWeiXiu> getListWeiXiuExport(YqGOrder bo);

	/**
	 * 开栓列表
	 * @param bo
	 * @return
	 */
	TableDataInfo<YqGOrder> getListKaiShuan(YqGOrder bo);
}
