package com.ruoyi.zdsz.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.Date;

/**
 * 民用工程视图对象 z_engineering_civil
 *
 * @author ruoyi
 * @date 2023-12-27
 */
@Data
@ExcelIgnoreUnannotated
public class ZEngineeringCivilExportVos extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    private String district;

    private String areaId;

    private String buildingId;

    private String unitId;

    private String houseId;

    private String source;

    private String enginType;

    private String enginClassification;

    private String completionStatus;
    private String newPhone;//现主人电话


    // 室内
    private String corrosionLevel;
    private String LGmaterialQuality;
    private String LGspecifications;
    private String LGnumber;
    private String brand;
    private String BHGmaterialQuality;
    private String BHGspecifications;
    private String BHGnumber;
    private String BJQmaterialQuality;
    private String QDFmaterialQuality;
    private String visitType;
    private String FGmaterialQuality;
    private String FGspecifications;
    private String FGnumber;

    private String selfClosingValveType;

    // 庭院
    private String kwq;
    private String kwh;
    private String hk;
    private String ht;
    private String ybgc;
    private String XGmaterialQuality;
    private String XGspecifications;
    private String XGnumber;

    // 架空
    private String cxsy;
    private String dm;
    private String JKmaterialQuality;
    private String JKspecifications;
    private String JKnumber;

    // 底腿
    private String sgwz;
    private String jtwz;

    //导出专用 其他没用
    private String gx1;
    private String gx2;
    private String gx3;
    private String gx4;
    private String gx5;
    private String gx6;
    private String gx7;

    private String nickNameA;
    private String nickNameB;
    private String nickNameC;
    private String nickNameD;
    private String nickNameE;
    private String nickNameF;
    private String nickNameG;
    private String phonenumber;


    private String state;
    private String statusA;
    private String statusB;
    private String statusC;
    private String statusD;
    private String statusE;
    private String statusF;
    private String statusG;

}
